.TH wxStaticBitmap 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxStaticBitmap \- See external documentation: wxStaticBitmap\&.
.SH DESCRIPTION
.LP
See external documentation: wxStaticBitmap <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxstaticbitmap\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxControl 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxStaticBitmap()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxStaticBitmap()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxstaticbitmap\&.html#wxstaticbitmapwxstaticbitmap>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Label::wxBitmap() (see module wxBitmap)) -> wxStaticBitmap()
.br
.RS
.LP
Equivalent to new(Parent, Id, Label, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Label::wxBitmap() (see module wxBitmap), Options::[Option]) -> wxStaticBitmap()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxstaticbitmap\&.html#wxstaticbitmapwxstaticbitmap>\&.
.RE
.LP
.B
create(This::wxStaticBitmap(), Parent::wxWindow() (see module wxWindow), Id::integer(), Label::wxBitmap() (see module wxBitmap)) -> bool()
.br
.RS
.LP
Equivalent to create(This, Parent, Id, Label, [])\&.
.RE
.LP
.B
create(This::wxStaticBitmap(), Parent::wxWindow() (see module wxWindow), Id::integer(), Label::wxBitmap() (see module wxBitmap), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxstaticbitmap\&.html#wxstaticbitmapcreate>\&.
.RE
.LP
.B
getBitmap(This::wxStaticBitmap()) -> wxBitmap() (see module wxBitmap)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxstaticbitmap\&.html#wxstaticbitmapgetbitmap>\&.
.RE
.LP
.B
setBitmap(This::wxStaticBitmap(), Bitmap::wxBitmap() (see module wxBitmap)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxstaticbitmap\&.html#wxstaticbitmapsetbitmap>\&.
.RE
.LP
.B
destroy(This::wxStaticBitmap()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
